MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031975Open CASCADE[OCCT] OCCT:Codingpublic2020-12-03 17:312020-12-25 12:45
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionduplicate 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031975: Coding Rules - get rid of generic classes in Adaptor3d_GenHSurface
DescriptionGeneric classes Adaptor3d_GenHCurve, Adaptor3d_GenHSurface could be replaced by C++ templates.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
duplicate of 0028966verifiedbugmaster Community Coding Rules - remove Adaptor2d_HCurve2d, Adaptor3d_HCurve and Adaptor3d_HSurface classes 
child of 0024487closedabv Open CASCADE Getting rid of generic CDL classes 

-  Notes
(0097276)
git (administrator)
2020-12-03 17:36

Branch CR31975 has been created by kgv.

SHA-1: 46672f4b98a79e8a28f30e1cafa829b701587c73


Detailed log of new commits:

Author: kgv
Date: Thu Dec 3 17:36:19 2020 +0300

    0031975: Coding Rules - get rid of generic classes in Adaptor3d_GenHSurface
    
    Generic classes Adaptor3d_GenHCurve, Adaptor3d_GenHSurface have been replaced by C++ templates.
    Several redundant .lxx files have been merged into .hxx.
(0097277)
git (administrator)
2020-12-03 17:38

Branch CR31975 has been updated forcibly by kgv.

SHA-1: 8c333ecb00f92a439565cedd2bda3025e029c2c9
(0097278)
git (administrator)
2020-12-03 17:56

Branch CR31975 has been updated forcibly by kgv.

SHA-1: fba7e408f7ad0f24912e4a5c8e7d86d377f9a275
(0097279)
git (administrator)
2020-12-03 18:05

Branch CR31975 has been updated forcibly by kgv.

SHA-1: 1699b4fa8c143ed0f3010bcffd9a9feb661a7022
(0097280)
git (administrator)
2020-12-03 19:16

Branch CR31975 has been updated forcibly by kgv.

SHA-1: a198549d78d19813b3a5a96822c62b24e220a6ac
(0097282)
git (administrator)
2020-12-03 20:07

Branch CR31975 has been updated forcibly by kgv.

SHA-1: 6a6e35cb62815c3bb527128ae3607787f79da591
(0097283)
git (administrator)
2020-12-03 20:20

Branch CR31975 has been updated forcibly by kgv.

SHA-1: c4b239c7b40eb64d8999f2dbb9eee9061ebd82a1
(0097284)
git (administrator)
2020-12-03 20:52

Branch CR31975 has been updated forcibly by kgv.

SHA-1: bfeee886f0134555cd329b886c8ec27cd3a420b7
(0097285)
git (administrator)
2020-12-03 21:18

Branch CR31975 has been updated forcibly by kgv.

SHA-1: 8b643e018a5b16adb46039b9b264b2cc17801762
(0097287)
git (administrator)
2020-12-03 21:38

Branch CR31975 has been updated forcibly by kgv.

SHA-1: 2e73585eda36fd4af0bb2f3f6f12320d8b6d1c5e
(0097288)
git (administrator)
2020-12-03 21:58

Branch CR31975 has been updated forcibly by kgv.

SHA-1: 0f39114cd2b7017edfed40c1aab749e7a7c5bda6
(0097291)
git (administrator)
2020-12-03 23:31

Branch CR31975 has been updated forcibly by kgv.

SHA-1: 00230bb70bafa5923b3525ca68be1228b37e7872
(0097292)
git (administrator)
2020-12-03 23:50

Branch CR31975 has been updated forcibly by kgv.

SHA-1: 32d4feb4b9bd0fe2104757a8aa98d5f86e022de8
(0097566)
kgv (developer)
2020-12-14 11:25

Dear bugmaster,

please close as duplicate of 0028966.
(0097567)
git (administrator)
2020-12-14 11:25

Branch CR31975 has been deleted by kgv.

SHA-1: 32d4feb4b9bd0fe2104757a8aa98d5f86e022de8

- Issue History
Date Modified Username Field Change
2020-12-03 17:31 kgv New Issue
2020-12-03 17:31 kgv Assigned To => kgv
2020-12-03 17:32 kgv Relationship added child of 0024487
2020-12-03 17:32 kgv Relationship added related to 0028966
2020-12-03 17:34 kgv Summary Coding Rules - get rid of generic classes in GeomAdaptor => Coding Rules - get rid of generic classes in Adaptor3d_GenHSurface
2020-12-03 17:36 git Note Added: 0097276
2020-12-03 17:38 git Note Added: 0097277
2020-12-03 17:56 git Note Added: 0097278
2020-12-03 18:05 git Note Added: 0097279
2020-12-03 19:16 git Note Added: 0097280
2020-12-03 20:07 git Note Added: 0097282
2020-12-03 20:20 git Note Added: 0097283
2020-12-03 20:52 git Note Added: 0097284
2020-12-03 21:18 git Note Added: 0097285
2020-12-03 21:38 git Note Added: 0097287
2020-12-03 21:58 git Note Added: 0097288
2020-12-03 23:31 git Note Added: 0097291
2020-12-03 23:50 git Note Added: 0097292
2020-12-14 11:25 kgv Note Added: 0097566
2020-12-14 11:25 kgv Assigned To kgv => bugmaster
2020-12-14 11:25 kgv Status new => feedback
2020-12-14 11:25 kgv Resolution open => duplicate
2020-12-14 11:25 kgv Relationship replaced duplicate of 0028966
2020-12-14 11:25 git Note Added: 0097567
2020-12-25 12:45 bugmaster Status feedback => closed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker